//---------------------------------------------------------------------------

#ifndef PlikiH
#define PlikiH

#include <System.hpp>
#include <Classes.hpp>
#include <fstream.h>

//---------------------------------------------------------------------------

void ZapiszDoPlikuTekstowego(AnsiString nazwaPliku,TStrings* linie);
void DopiszDoPlikuTekstowego(AnsiString nazwaPliku,TStrings* linie);
TStrings* CzytajZPlikuTekstowego(AnsiString nazwaPliku,TStrings* linie);

template<typename T> T* CzytajLiczbyZPlikuTekstowego(AnsiString nazwaPliku,int rozmiar)
{
   T* tablica=new T[rozmiar];
   ifstream plik_we;plik_we.open(nazwaPliku.c_str());
   for (int i=0;(i<rozmiar) && (plik_we);i++)
   {
      if (plik_we)
         plik_we >> tablica[i];
      else
         if (i<rozmiar) throw Exception("Liczb w pliku jest mniej niz "+IntToStr(rozmiar));
   }
   plik_we.close();
   return tablica;
}

char* CzytajZnakiZPlikuTekstowego(AnsiString nazwaPliku,char* znaki,int rozmiar);

#endif
